/*
 * Copyright (C) 2004 Christian Hubinger <e9806056@student.tuwien.ac.at>
 */

#include "kfreerings.h"

// QT includes
#include <qlabel.h>

// KDE includes
#include <kmainwindow.h>
#include <klocale.h>
#include <kaction.h>
#include <khelpmenu.h>
#include <kpopupmenu.h>
#include <kmenubar.h>

// Project incudes
#include "kfrmain.h"


KFreeRings::KFreeRings() : KMainWindow( 0, "KFreeRings", Qt::WStyle_Customize | QWidget::WStyle_NoBorder  ) {
	// set the shell's ui resource file
	setXMLFile("kfreeringsui.rc");
	setFixedSize(800,600);
	QRect screen = QApplication::desktop() ->screenGeometry();
	QRect mainRect;
	screen = QApplication::desktop() ->screenGeometry( QApplication::desktop() ->screenNumber( mainRect.center() ) );
	move( screen.center() - QPoint( width() / 2, height() / 2 ) );
	main = new KFRMain( this );
	setCentralWidget( main );

	KStdAction::openNew( main, SLOT( slotNewGame() ), this->actionCollection(), "New Game"  );
	
	KStdAction::quit( main, SLOT( slotQuitGame() ), this->actionCollection(), "Quit Game"  );

}

KFreeRings::~KFreeRings() {}

#include "kfreerings.moc"
